List devices that have an app installed

Returns a paginated list of devices that have this application installed, including the installed version and remediation status on each device.

Path Params
string
required

The app_id returned in GET /apps.

Query Params
string

Comma-separated device-group filter.

string

Comma-separated device-tag filter.

string
^[A-Za-z0-9._+-]{1,64}$

Exact version match.

boolean

Restrict to devices running the latest (true) or not (false).

string
enum

Filter by whether a remediation is available for this app on the device.

Allowed:
integer
≥ 0

Filter to devices where the app has at least this many CVEs.

integer
≥ 1

Page number to return. Starts at 1.

integer
1 to 100

Number of results per page. Maximum 100.

string
enum

Field to sort results by.

Allowed:
string
enum

Defaults to asc for device_name, desc otherwise.

Allowed:
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json